package geometry;

import java.awt.geom.GeneralPath;

public abstract class Segment 
{
	private DoublePoint startPoint, endPoint;
	
	protected Segment(DoublePoint start, DoublePoint end)
	{
		startPoint = start;
		endPoint = end;
	}
	
	public abstract DoublePoint getPointAt(double t);
	public abstract void appendToPath(GeneralPath p);
}
